Bug 1563133 (CVE-2018-1295) - CVE-2018-1295 ignite: Possible Execution of Arbitrary Code Within Deserialization Endpoints
Summary: CVE-2018-1295 ignite: Possible Execution of Arbitrary Code Within Deserializa...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1295
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180402,repo...
Depends On:
Blocks: 1563134
TreeView+ depends on / blocked
 
Reported: 2018-04-03 08:51 UTC by Andrej Nemec
Modified: 2019-06-10 10:19 UTC (History)
0 users

Fixed In Version: ignite 2.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:19:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2405 None None None 2018-08-14 19:51:32 UTC

Description Andrej Nemec 2018-04-03 08:51:28 UTC
Apache Ignite serialization mechanism does not have a list of classes
allowed for serialization/deserialization, which makes it possible to run
arbitrary code when 3-rd party vulnerable classes are present in Ignite
classpath. The vulnerability can be exploited if the one sends a specially
prepared form of a serialized object to one of the deserialization
endpoints of some Ignite components -  discovery SPI, Ignite persistence,
Memcached endpoint, socket steamer.

External References:

https://lists.apache.org/thread.html/45e7d5e2c6face85aab693f5ae0616563132ff757e5a558da80d0209@%3Cdev.ignite.apache.org%3E

Comment 2 errata-xmlrpc 2018-08-14 19:51:28 UTC
This issue has been addressed in the following products:

  Red Hat Fuse Intergration Services 2.0 based on Fuse 6.3 R7

Via RHSA-2018:2405 https://access.redhat.com/errata/RHSA-2018:2405


Note You need to log in before you can comment on or make changes to this bug.